Incoterms
Part of the Accounts API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).
List incoterms
GET/admin/api/v1/accounts/incotermsRetrieve a paginated list of incoterms with filtering and sorting
🔒 Requires a valid Bearer token.
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: creator | creator |
filter[id] | string | No | Comma-separated list of IDs to filter by | |
filter[code] | string | No | Filter by incoterm code (partial match) | |
filter[name] | string | No | Filter by incoterm name (partial match) | |
filter[trashed] | string | No | Filter by trashed status. Options: with, only | |
sort | string | Yes | Sort field | code |
page | integer | Yes | Page number | 1 |
curl -X GET "https://your-domain.com/admin/api/v1/accounts/incoterms?include=creator&sort=code&page=1" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms?include=creator&sort=code&page=1", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/accounts/incoterms?include=creator&sort=code&page=1', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/accounts/incoterms?include=creator&sort=code&page=1"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": [
{
"id": 1,
"code": "EXW",
"name": "EX WORKS",
"creator_id": 1,
"created_at": "2026-10-09T09:50:40.000000Z",
"updated_at": "2026-10-09T09:50:40.000000Z",
"deleted_at": null
},
{
"id": 1,
"code": "EXW",
"name": "EX WORKS",
"creator_id": 1,
"created_at": "2026-10-09T09:50:40.000000Z",
"updated_at": "2026-10-09T09:50:40.000000Z",
"deleted_at": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "/?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}Error response — 401
{
"message": "Unauthenticated."
}Create incoterm
POST/admin/api/v1/accounts/incotermsCreate a new incoterm
🔒 Requires a valid Bearer token.
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
code | string | Yes | Incoterm code (3 characters). Must not be greater than 3 characters. |
name | string | Yes | Incoterm name. Must not be greater than 255 characters. |
curl -X POST "https://your-domain.com/admin/api/v1/accounts/incoterms" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"code": "EXW",
"name": "Ex Works"
}'const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms", {
method: "POST",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"code": "EXW",
"name": "Ex Works"
}),
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/accounts/incoterms', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'code' => 'EXW',
'name' => 'Ex Works',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/accounts/incoterms"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"code": "EXW",
"name": "Ex Works",
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 201
{
"data": {
"id": 1,
"code": "EXW",
"name": "EX WORKS",
"creator_id": 1,
"created_at": "2026-10-09T09:50:40.000000Z",
"updated_at": "2026-10-09T09:50:40.000000Z",
"deleted_at": null
},
"message": "Incoterm created successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Show incoterm
GET/admin/api/v1/accounts/incoterms/{id}Retrieve a specific incoterm by its ID
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The incoterm ID |
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: creator | creator |
curl -X GET "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}?include=creator" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}?include=creator", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}?include=creator', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}?include=creator"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": {
"id": 1,
"code": "EXW",
"name": "EX WORKS",
"creator_id": 1,
"created_at": "2026-10-09T09:50:40.000000Z",
"updated_at": "2026-10-09T09:50:40.000000Z",
"deleted_at": null
}
}Error response — 401
{
"message": "Unauthenticated."
}Update incoterm
PUT/admin/api/v1/accounts/incoterms/{id}Update an existing incoterm
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The incoterm ID |
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
code | string | No | Incoterm code (3 characters). Must not be greater than 3 characters. |
name | string | No | Incoterm name. Must not be greater than 255 characters. |
curl -X PUT "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"code": "EXW",
"name": "Ex Works"
}'const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"code": "EXW",
"name": "Ex Works"
}),
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'code' => 'EXW',
'name' => 'Ex Works',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"code": "EXW",
"name": "Ex Works",
}
response = requests.put(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 200
{
"data": {
"id": 1,
"code": "EXW",
"name": "EX WORKS",
"creator_id": 1,
"created_at": "2026-10-09T09:50:40.000000Z",
"updated_at": "2026-10-09T09:50:40.000000Z",
"deleted_at": null
},
"message": "Incoterm updated successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Delete incoterm
DELETE/admin/api/v1/accounts/incoterms/{id}Soft delete an incoterm
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The incoterm ID |
curl -X DELETE "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"message": "Incoterm deleted successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Restore incoterm
POST/admin/api/v1/accounts/incoterms/{id}/restoreRestore a soft-deleted incoterm
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The incoterm ID |
curl -X POST "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/restore" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/restore", {
method: "POST",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/restore', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/restore"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.post(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": {
"id": 1,
"code": "EXW",
"name": "EX WORKS",
"creator_id": 1,
"created_at": "2026-10-09T09:50:40.000000Z",
"updated_at": "2026-10-09T09:50:40.000000Z",
"deleted_at": null
},
"message": "Incoterm restored successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Force delete incoterm
DELETE/admin/api/v1/accounts/incoterms/{id}/forcePermanently delete an incoterm
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The incoterm ID |
curl -X DELETE "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/force" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/force", {
method: "DELETE",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/force', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/accounts/incoterms/{id}/force"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"message": "Incoterm permanently deleted."
}Error response — 401
{
"message": "Unauthenticated."
}